namespace Wizard;

public class TransitionPublishTask : BaseTask
{
	public string Password { get; private set; }

	public TransitionPublishTask()
	{
		base.type = ApiType.Type.TransitionPublish;
	}

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		Password = base.ResponseData["data"]["password"].ToString();
		return num;
	}
}
